Iniciar consulta de CPF em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/cpf/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"cpf": "12345678909",
"birthDate": "1990-01-01"
},
{
"cpf": "98765432100",
"birthDate": "1985-03-15"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{cpf: '12345678909', birthDate: '1990-01-01'},
{cpf: '98765432100', birthDate: '1985-03-15'}
]
})
};
fetch('https://api.notifique.dev/v1/validations/cpf/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/cpf/batch"
payload = { "items": [
{
"cpf": "12345678909",
"birthDate": "1990-01-01"
},
{
"cpf": "98765432100",
"birthDate": "1985-03-15"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/cpf/batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"cpf\": \"12345678909\",\n \"birthDate\": \"1990-01-01\"\n },\n {\n \"cpf\": \"98765432100\",\n \"birthDate\": \"1985-03-15\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"jobId": "job_cpf_abc123",
"status": "queued",
"total": 2
}
}Validation (API)
Iniciar consulta de CPF em lote
Mínimo 1 e máximo 10.000 pares CPF + data. Processamento em background — consulte com GET /v1/validations/cpf/batch/{jobId}.
POST
/
v1
/
validations
/
cpf
/
batch
Iniciar consulta de CPF em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/cpf/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"cpf": "12345678909",
"birthDate": "1990-01-01"
},
{
"cpf": "98765432100",
"birthDate": "1985-03-15"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{cpf: '12345678909', birthDate: '1990-01-01'},
{cpf: '98765432100', birthDate: '1985-03-15'}
]
})
};
fetch('https://api.notifique.dev/v1/validations/cpf/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/cpf/batch"
payload = { "items": [
{
"cpf": "12345678909",
"birthDate": "1990-01-01"
},
{
"cpf": "98765432100",
"birthDate": "1985-03-15"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/cpf/batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"cpf\": \"12345678909\",\n \"birthDate\": \"1990-01-01\"\n },\n {\n \"cpf\": \"98765432100\",\n \"birthDate\": \"1985-03-15\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"jobId": "job_cpf_abc123",
"status": "queued",
"total": 2
}
}Authorizations
ntfValBearerAuthntfValApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Lista de pares CPF + data (1 a 10.000).
Required array length:
1 - 10000 elementsShow child attributes
Show child attributes
quick = checagens rápidas (formato, MX ou tipo de linha). full = quick + verificação profunda (caixa de entrada ou WhatsApp).
Available options:
quick, full Was this page helpful?

